using Knot.Shared.Kernel;
using MediatR;

namespace Knot.Contracts.Profiles.Application.Profiles.Avatar;

public record UploadAvatarCommand(Stream Stream, string FileName) : IRequest<Result<string>>;

public record DeleteAvatarCommand() : IRequest<Result>;

public record CropAvatarCommand(int X, int Y, int Width, int Height) : IRequest<Result<string>>;
